<div class="amchart-container">
  <div
    class="amchart {{if @loading 'invisible'}}"
    {{this.dataModifier @data setup=this.setup update=this.update}}
    {{did-update this.regenerate this.application.darkMode}}
  ></div>
  {{#if (or this.building @loading)}}
    <div class="overlay">
      <ContentLoader @height="375" @width="600" class="amchart">
        <path
          d="m572.42477,10l-544.84959,0c-9.93551,0 -17.98851,8.42255 -17.98851,18.78779l0,281.82965c0,10.37802 8.05299,18.78779 17.98851,18.78779l544.84959,0c9.93551,0 17.98851,-8.40977 17.98851,-18.78779l0,-281.82965c0,-10.36524 -8.05299,-18.78779 -17.98851,-18.78779zm-10.45843,261.16308c0,15.13248 -8.29702,27.40206 -18.52305,27.40206l-26.9479,0l-89.74499,-151.92549c-8.25054,-13.95664 -22.85749,-14.26338 -31.3753,-0.65182l-85.43379,136.6652c-5.64755,9.02325 -15.00204,10.30133 -21.66058,2.88846l-92.67335,-103.03889c-6.97229,-7.74517 -16.65215,-7.28506 -23.24097,1.12471l-90.53518,114.93783l-25.22807,0c-10.22603,0 -18.52305,-12.26958 -18.52305,-27.40206l0,-202.90814c0,-15.13248 8.29702,-27.40206 18.52305,-27.40206l486.79366,0c10.22603,0 18.52305,12.26958 18.52305,27.40206l0.04648,202.90814z"
        ></path>
        <rect x="50" y="340" rx="5" ry="5" height="25" width="500"></rect>
      </ContentLoader></div>
  {{/if}}
</div>